*-- Example for the DataSeries

*-- oExcel.ActiveSheet.Range("A1").DataSeries(nRowCol,nType,nDate,nStep,xStop,xTrend)

RELEASE ALL LIKE o*

LOCAL oExcel, oSheet

#INCLUDE "Excel9.h"

*-- Create the Object
oExcel = CREATEOBJECT('OfficeClass.clsExcel')
oExcel.ShowExcel()			&& Show Excel
oExcel.BuildExcelBook(1)	&& Add One WorkSheet

WITH oExcel
	.BuildSheet("A1","DataSeries","Arial:10:B",.T.)
	.BuildSheet("B1","Dates"     ,"Arial:10:B",15,"HRight")
	
	oSheet = .GetActiveSheet()
	WITH oSheet
		.Range("A2").Value = 1
		
		*-- The following code creates a simple series, numbering the rows from 1 to 50
		*-- Note that if you don't fill in a value in the first cell of the series, there
		*-- is nothing with which to start the series, and the command will appear to 
		*-- execute without error, but the resulting range will be blank.
		.Range("A2:A100").DataSeries(xlColumns,xlDataSeriesLinear,xlDay,1,50,.F.)
		
		*-- Next lets add a series of dates.
		.Range("B2").Value = "10/22/1999"
		.Range("B2:B100").DataSeries(xlColumns,xlChronological,xlDay,7,"12/31/99",.F.)
		
	ENDWITH
ENDWITH

oExcel = .NULL.
