*-- New Features added to Excel
LOCAL oExcel, lnI

CLEAR
oExcel = CREATEOBJECT('OfficeClass.clsExcel')

WITH oExcel
	.BuildExcelBook( 2 )
	.RenameSheet(1,"One")
	.RenameSheet(2,"Two")
	FOR lnI = 1 TO 3
		FOR lnX = 1 TO 2	
			.BuildSheet(lnX,"A" + TRANSFORM(lnI),lnI * 10 + lnX)
			.BuildSheet(lnX,"B" + TRANSFORM(lnI),lnI * 10 + lnX)
			.BuildSheet(lnX,"C" + TRANSFORM(lnI),lnI * 10 + lnX)
		ENDFOR &&* lnX = 1 TO 2
	ENDFOR 
	
	*-- New Method - Name Cell with Character Range
	.NameCell(1,"A1:A3","ColA")
	
	*-- Name Cell Called with Range Object
	loRange = .GetSelection(1,"B1:B3")
	.NameCell(1,loRange,"ColB")
	
	*-- Use the GetSelection to Name the Range
	loRange = .GetSelection(1,"C1:C3","ColC")
	
	? "We have " + TRANSFORM(.iRangeNameCount) + " Named Ranges"

	*-- Add Totals
	.BuildSheet(1,"A5","=SUM(ColA)")
	.BuildSheet(1,"B5","=SUM(ColB)")
	.BuildSheet(1,"C5","=SUM(ColC)")	
	.BuildSheet(2,"A5","=SUM(A1:A3)")
	.BuildSheet(2,"B5","=SUM(B1:B3)")
	.BuildSheet(3,"C5","=SUM(C1:C3)")
	.ShowExcel()	

	*-- then Remove a Range
	.DeleteRangeName("ColA")

	? "We have " + TRANSFORM(.iRangeNameCount) + " Named Ranges"
	
	*-- V1.0.7 - Addition.
	oWS = .GetWorkSheet("Two")		&& Could pass 2
	IF ISNULL(oWs)
		? "Problem getting Worksheet"
	ELSE	
		? "Worksheet 2 Name = " + oWS.Name
	ENDIF 
		
	? "Value of Cell B5 on Sheet2 = " + ALLTRIM(TRANSFORM(.GetCell(2,"B5"),'999,999,999.99'))		&& Should Print Value
	? "Formula of Cell B5 = '" + TRANSFORM(.GetCell(2,"B5","Formula")) + "'"

	*-- New Parameter to CloseExcel
*	.CloseExcel( .T. )		&& .T. = Force Close, don't show MessageBox.
ENDWITH

oExcel = .NULL.
