
*** Constant Group: PpWindowState
#define ppWindowNormal                                    1
#define ppWindowMinimized                                 2
#define ppWindowMaximized                                 3

*** Constant Group: PpArrangeStyle
#define ppArrangeTiled                                    1
#define ppArrangeCascade                                  2

*** Constant Group: PpViewType
#define ppViewSlide                                       1
#define ppViewSlideMaster                                 2
#define ppViewNotesPage                                   3
#define ppViewHandoutMaster                               4
#define ppViewNotesMaster                                 5
#define ppViewOutline                                     6
#define ppViewSlideSorter                                 7
#define ppViewTitleMaster                                 8
#define ppViewNormal                                      9

*** Constant Group: PpColorSchemeIndex
#define ppSchemeColorMixed                                -2
#define ppNotSchemeColor                                  0
#define ppBackground                                      1
#define ppForeground                                      2
#define ppShadow                                          3
#define ppTitle                                           4
#define ppFill                                            5
#define ppAccent1                                         6
#define ppAccent2                                         7
#define ppAccent3                                         8

*** Constant Group: PpSlideSizeType
#define ppSlideSizeOnScreen                               1
#define ppSlideSizeLetterPaper                            2
#define ppSlideSizeA4Paper                                3
#define ppSlideSize35MM                                   4
#define ppSlideSizeOverhead                               5
#define ppSlideSizeBanner                                 6
#define ppSlideSizeCustom                                 7

*** Constant Group: PpSaveAsFileType
#define ppSaveAsPresentation                              1
#define ppSaveAsPowerPoint7                               2
#define ppSaveAsPowerPoint4                               3
#define ppSaveAsPowerPoint3                               4
#define ppSaveAsTemplate                                  5
#define ppSaveAsRTF                                       6
#define ppSaveAsShow                                      7
#define ppSaveAsAddIn                                     8
#define ppSaveAsPowerPoint4FarEast                        10
#define ppSaveAsDefault                                   11
#define ppSaveAsHTML                                      12
#define ppSaveAsHTMLv3                                    13
#define ppSaveAsHTMLDual                                  14
#define ppSaveAsMetaFile                                  15
#define ppSaveAsGIF                                       16
#define ppSaveAsJPG                                       17
#define ppSaveAsPNG                                       18
#define ppSaveAsBMP                                       19

*** Constant Group: PpTextStyleType
#define ppDefaultStyle                                    1
#define ppTitleStyle                                      2
#define ppBodyStyle                                       3

*** Constant Group: PpSlideLayout
#define ppLayoutMixed                                     -2
#define ppLayoutTitle                                     1
#define ppLayoutText                                      2
#define ppLayoutTwoColumnText                             3
#define ppLayoutTable                                     4
#define ppLayoutTextAndChart                              5
#define ppLayoutChartAndText                              6
#define ppLayoutOrgchart                                  7
#define ppLayoutChart                                     8
#define ppLayoutTextAndClipart                            9
#define ppLayoutClipartAndText                            10
#define ppLayoutTitleOnly                                 11
#define ppLayoutBlank                                     12
#define ppLayoutTextAndObject                             13
#define ppLayoutObjectAndText                             14
#define ppLayoutLargeObject                               15
#define ppLayoutObject                                    16
#define ppLayoutTextAndMediaClip                          17
#define ppLayoutMediaClipAndText                          18
#define ppLayoutObjectOverText                            19
#define ppLayoutTextOverObject                            20
#define ppLayoutTextAndTwoObjects                         21
#define ppLayoutTwoObjectsAndText                         22
#define ppLayoutTwoObjectsOverText                        23
#define ppLayoutFourObjects                               24
#define ppLayoutVerticalText                              25
#define ppLayoutClipArtAndVerticalText                    26
#define ppLayoutVerticalTitleAndText                      27
#define ppLayoutVerticalTitleAndTextOverChart             28

*** Constant Group: PpEntryEffect
#define ppEffectMixed                                     -2
#define ppEffectNone                                      0
#define ppEffectCut                                       257
#define ppEffectCutThroughBlack                           258
#define ppEffectRandom                                    513
#define ppEffectBlindsHorizontal                          769
#define ppEffectBlindsVertical                            770
#define ppEffectCheckerboardAcross                        1025
#define ppEffectCheckerboardDown                          1026
#define ppEffectCoverLeft                                 1281
#define ppEffectCoverUp                                   1282
#define ppEffectCoverRight                                1283
#define ppEffectCoverDown                                 1284
#define ppEffectCoverLeftUp                               1285
#define ppEffectCoverRightUp                              1286
#define ppEffectCoverLeftDown                             1287
#define ppEffectCoverRightDown                            1288
#define ppEffectDissolve                                  1537
#define ppEffectFade                                      1793
#define ppEffectUncoverLeft                               2049
#define ppEffectUncoverUp                                 2050
#define ppEffectUncoverRight                              2051
#define ppEffectUncoverDown                               2052
#define ppEffectUncoverLeftUp                             2053
#define ppEffectUncoverRightUp                            2054
#define ppEffectUncoverLeftDown                           2055
#define ppEffectUncoverRightDown                          2056
#define ppEffectRandomBarsHorizontal                      2305
#define ppEffectRandomBarsVertical                        2306
#define ppEffectStripsUpLeft                              2561
#define ppEffectStripsUpRight                             2562
#define ppEffectStripsDownLeft                            2563
#define ppEffectStripsDownRight                           2564
#define ppEffectStripsLeftUp                              2565
#define ppEffectStripsRightUp                             2566
#define ppEffectStripsLeftDown                            2567
#define ppEffectStripsRightDown                           2568
#define ppEffectWipeLeft                                  2817
#define ppEffectWipeUp                                    2818
#define ppEffectWipeRight                                 2819
#define ppEffectWipeDown                                  2820
#define ppEffectBoxOut                                    3073
#define ppEffectBoxIn                                     3074
#define ppEffectFlyFromLeft                               3329
#define ppEffectFlyFromTop                                3330
#define ppEffectFlyFromRight                              3331
#define ppEffectFlyFromBottom                             3332
#define ppEffectFlyFromTopLeft                            3333
#define ppEffectFlyFromTopRight                           3334
#define ppEffectFlyFromBottomLeft                         3335
#define ppEffectFlyFromBottomRight                        3336
#define ppEffectPeekFromLeft                              3337
#define ppEffectPeekFromDown                              3338
#define ppEffectPeekFromRight                             3339
#define ppEffectPeekFromUp                                3340
#define ppEffectCrawlFromLeft                             3341
#define ppEffectCrawlFromUp                               3342
#define ppEffectCrawlFromRight                            3343
#define ppEffectCrawlFromDown                             3344
#define ppEffectZoomIn                                    3345
#define ppEffectZoomInSlightly                            3346
#define ppEffectZoomOut                                   3347
#define ppEffectZoomOutSlightly                           3348
#define ppEffectZoomCenter                                3349
#define ppEffectZoomBottom                                3350
#define ppEffectStretchAcross                             3351
#define ppEffectStretchLeft                               3352
#define ppEffectStretchUp                                 3353
#define ppEffectStretchRight                              3354
#define ppEffectStretchDown                               3355
#define ppEffectSwivel                                    3356
#define ppEffectSpiral                                    3357
#define ppEffectSplitHorizontalOut                        3585
#define ppEffectSplitHorizontalIn                         3586
#define ppEffectSplitVerticalOut                          3587
#define ppEffectSplitVerticalIn                           3588
#define ppEffectFlashOnceFast                             3841
#define ppEffectFlashOnceMedium                           3842
#define ppEffectFlashOnceSlow                             3843
#define ppEffectAppear                                    3844

*** Constant Group: PpTextLevelEffect
#define ppAnimateLevelMixed                               -2
#define ppAnimateLevelNone                                0
#define ppAnimateByFirstLevel                             1
#define ppAnimateBySecondLevel                            2
#define ppAnimateByThirdLevel                             3
#define ppAnimateByFourthLevel                            4
#define ppAnimateByFifthLevel                             5
#define ppAnimateByAllLevels                              16

*** Constant Group: PpTextUnitEffect
#define ppAnimateUnitMixed                                -2
#define ppAnimateByParagraph                              0
#define ppAnimateByWord                                   1
#define ppAnimateByCharacter                              2

*** Constant Group: PpChartUnitEffect
#define ppAnimateChartMixed                               -2
#define ppAnimateBySeries                                 1
#define ppAnimateByCategory                               2
#define ppAnimateBySeriesElements                         3
#define ppAnimateByCategoryElements                       4

*** Constant Group: PpAfterEffect
#define ppAfterEffectMixed                                -2
#define ppAfterEffectNothing                              0
#define ppAfterEffectHide                                 1
#define ppAfterEffectDim                                  2
#define ppAfterEffectHideOnClick                          3

*** Constant Group: PpAdvanceMode
#define ppAdvanceModeMixed                                -2
#define ppAdvanceOnClick                                  1
#define ppAdvanceOnTime                                   2

*** Constant Group: PpSoundEffectType
#define ppSoundEffectsMixed                               -2
#define ppSoundNone                                       0
#define ppSoundStopPrevious                               1
#define ppSoundFile                                       2

*** Constant Group: PpFollowColors
#define ppFollowColorsMixed                               -2
#define ppFollowColorsNone                                0
#define ppFollowColorsScheme                              1
#define ppFollowColorsTextAndBackground                   2

*** Constant Group: PpUpdateOption
#define ppUpdateOptionMixed                               -2
#define ppUpdateOptionManual                              1
#define ppUpdateOptionAutomatic                           2

*** Constant Group: PpParagraphAlignment
#define ppAlignmentMixed                                  -2
#define ppAlignLeft                                       1
#define ppAlignCenter                                     2
#define ppAlignRight                                      3
#define ppAlignJustify                                    4
#define ppAlignDistribute                                 5

*** Constant Group: PpBaselineAlignment
#define ppBaselineAlignMixed                              -2
#define ppBaselineAlignBaseline                           1
#define ppBaselineAlignTop                                2
#define ppBaselineAlignCenter                             3
#define ppBaselineAlignFarEast50                          4

*** Constant Group: PpTabStopType
#define ppTabStopMixed                                    -2
#define ppTabStopLeft                                     1
#define ppTabStopCenter                                   2
#define ppTabStopRight                                    3
#define ppTabStopDecimal                                  4

*** Constant Group: PpIndentControl
#define ppIndentControlMixed                              -2
#define ppIndentReplaceAttr                               1
#define ppIndentKeepAttr                                  2

*** Constant Group: PpChangeCase
#define ppCaseSentence                                    1
#define ppCaseLower                                       2
#define ppCaseUpper                                       3
#define ppCaseTitle                                       4
#define ppCaseToggle                                      5

*** Constant Group: PpDialogMode
#define ppDialogModeMixed                                 -2
#define ppDialogModeless                                  0
#define ppDialogModal                                     1

*** Constant Group: PpDialogStyle
#define ppDialogStyleMixed                                -2
#define ppDialogStandard                                  1
#define ppDialogTabbed                                    2

*** Constant Group: PpDialogPositioning
#define ppDialogPositionNormal                            1
#define ppDialogPositionCenterParent                      2
#define ppDialogPositionCenterScreen                      3
#define ppDialogPositionRememberLast                      4

*** Constant Group: PpDialogFontStyle
#define ppDialogFontStyleMixed                            -2
#define ppDialogSmall                                     -1
#define ppDialogItalic                                    0

*** Constant Group: PpScrollBarStyle
#define ppScrollBarVertical                               0
#define ppScrollBarHorizontal                             1

*** Constant Group: PpListBoxSelectionStyle
#define ppListBoxSingle                                   0
#define ppListBoxMulti                                    1

*** Constant Group: PpListBoxAbbreviationStyle
#define ppListBoxAbbreviationNone                         0
#define ppListBoxAbbreviationTruncation                   1
#define ppListBoxAbbreviationTruncationWithEllipsis       2
#define ppListBoxAbbreviationFileNames                    3

*** Constant Group: PpAlertType
#define ppAlertTypeOK                                     0
#define ppAlertTypeOKCANCEL                               1
#define ppAlertTypeYESNO                                  2
#define ppAlertTypeYESNOCANCEL                            3
#define ppAlertTypeBACKNEXTCLOSE                          4
#define ppAlertTypeRETRYCANCEL                            5
#define ppAlertTypeABORTRETRYIGNORE                       6

*** Constant Group: PpAlertButton
#define ppAlertButtonCLOSE                                0
#define ppAlertButtonSNOOZE                               1
#define ppAlertButtonSEARCH                               2
#define ppAlertButtonIGNORE                               3
#define ppAlertButtonABORT                                4
#define ppAlertButtonRETRY                                5
#define ppAlertButtonNEXT                                 6
#define ppAlertButtonBACK                                 7
#define ppAlertButtonNO                                   8
#define ppAlertButtonYES                                  9
#define ppAlertButtonCANCEL                               10
#define ppAlertButtonOK                                   11
#define ppAlertButtonNULL                                 12

*** Constant Group: PpAlertIcon
#define ppAlertIconQuestionMark                           0
#define ppAlertIconNote                                   1
#define ppAlertIconCaution                                2
#define ppAlertIconStop                                   3

*** Constant Group: PpSlideShowPointerType
#define ppSlideShowPointerNone                            0
#define ppSlideShowPointerArrow                           1
#define ppSlideShowPointerPen                             2
#define ppSlideShowPointerAlwaysHidden                    3
#define ppSlideShowPointerAutoArrow                       4

*** Constant Group: PpSlideShowState
#define ppSlideShowRunning                                1
#define ppSlideShowPaused                                 2
#define ppSlideShowBlackScreen                            3
#define ppSlideShowWhiteScreen                            4
#define ppSlideShowDone                                   5

*** Constant Group: PpSlideShowAdvanceMode
#define ppSlideShowManualAdvance                          1
#define ppSlideShowUseSlideTimings                        2
#define ppSlideShowRehearseNewTimings                     3

*** Constant Group: PpFileDialogType
#define ppFileDialogOpen                                  1
#define ppFileDialogSave                                  2

*** Constant Group: PpFileDialogView
#define ppFileDialogViewDetails                           1
#define ppFileDialogViewPreview                           2
#define ppFileDialogViewProperties                        3
#define ppFileDialogViewList                              4

*** Constant Group: PpPrintOutputType
#define ppPrintOutputSlides                               1
#define ppPrintOutputTwoSlideHandouts                     2
#define ppPrintOutputThreeSlideHandouts                   3
#define ppPrintOutputSixSlideHandouts                     4
#define ppPrintOutputNotesPages                           5
#define ppPrintOutputOutline                              6
#define ppPrintOutputBuildSlides                          7
#define ppPrintOutputFourSlideHandouts                    8
#define ppPrintOutputNineSlideHandouts                    9

*** Constant Group: PpPrintHandoutOrder
#define ppPrintHandoutVerticalFirst                       1
#define ppPrintHandoutHorizontalFirst                     2

*** Constant Group: PpPrintColorType
#define ppPrintColor                                      1
#define ppPrintBlackAndWhite                              2
#define ppPrintPureBlackAndWhite                          3

*** Constant Group: PpSelectionType
#define ppSelectionNone                                   0
#define ppSelectionSlides                                 1
#define ppSelectionShapes                                 2
#define ppSelectionText                                   3

*** Constant Group: PpDirection
#define ppDirectionMixed                                  -2
#define ppDirectionLeftToRight                            1
#define ppDirectionRightToLeft                            2

*** Constant Group: PpDateTimeFormat
#define ppDateTimeFormatMixed                             -2
#define ppDateTimeMdyy                                    1
#define ppDateTimeddddMMMMddyyyy                          2
#define ppDateTimedMMMMyyyy                               3
#define ppDateTimeMMMMdyyyy                               4
#define ppDateTimedMMMyy                                  5
#define ppDateTimeMMMMyy                                  6
#define ppDateTimeMMyy                                    7
#define ppDateTimeMMddyyHmm                               8
#define ppDateTimeMMddyyhmmAMPM                           9
#define ppDateTimeHmm                                     10
#define ppDateTimeHmmss                                   11
#define ppDateTimehmmAMPM                                 12
#define ppDateTimehmmssAMPM                               13

*** Constant Group: PpTransitionSpeed
#define ppTransitionSpeedMixed                            -2
#define ppTransitionSpeedSlow                             1
#define ppTransitionSpeedMedium                           2
#define ppTransitionSpeedFast                             3

*** Constant Group: PpMouseActivation
#define ppMouseClick                                      1
#define ppMouseOver                                       2

*** Constant Group: PpActionType
#define ppActionMixed                                     -2
#define ppActionNone                                      0
#define ppActionNextSlide                                 1
#define ppActionPreviousSlide                             2
#define ppActionFirstSlide                                3
#define ppActionLastSlide                                 4
#define ppActionLastSlideViewed                           5
#define ppActionEndShow                                   6
#define ppActionHyperlink                                 7
#define ppActionRunMacro                                  8
#define ppActionRunProgram                                9
#define ppActionNamedSlideShow                            10
#define ppActionOLEVerb                                   11
#define ppActionPlay                                      12

*** Constant Group: PpPlaceholderType
#define ppPlaceholderMixed                                -2
#define ppPlaceholderTitle                                1
#define ppPlaceholderBody                                 2
#define ppPlaceholderCenterTitle                          3
#define ppPlaceholderSubtitle                             4
#define ppPlaceholderVerticalTitle                        5
#define ppPlaceholderVerticalBody                         6
#define ppPlaceholderObject                               7
#define ppPlaceholderChart                                8
#define ppPlaceholderBitmap                               9
#define ppPlaceholderMediaClip                            10
#define ppPlaceholderOrgChart                             11
#define ppPlaceholderTable                                12
#define ppPlaceholderSlideNumber                          13
#define ppPlaceholderHeader                               14
#define ppPlaceholderFooter                               15
#define ppPlaceholderDate                                 16

*** Constant Group: PpSlideShowType
#define ppShowTypeSpeaker                                 1
#define ppShowTypeWindow                                  2
#define ppShowTypeKiosk                                   3

*** Constant Group: PpPrintRangeType
#define ppPrintAll                                        1
#define ppPrintSelection                                  2
#define ppPrintCurrent                                    3
#define ppPrintSlideRange                                 4
#define ppPrintNamedSlideShow                             5

*** Constant Group: PpAutoSize
#define ppAutoSizeMixed                                   -2
#define ppAutoSizeNone                                    0
#define ppAutoSizeShapeToFitText                          1

*** Constant Group: PpMediaType
#define ppMediaTypeMixed                                  -2
#define ppMediaTypeOther                                  1
#define ppMediaTypeSound                                  2
#define ppMediaTypeMovie                                  3

*** Constant Group: PpSoundFormatType
#define ppSoundFormatMixed                                -2
#define ppSoundFormatNone                                 0
#define ppSoundFormatWAV                                  1
#define ppSoundFormatMIDI                                 2
#define ppSoundFormatCDAudio                              3

*** Constant Group: PpFarEastLineBreakLevel
#define ppFarEastLineBreakLevelNormal                     1
#define ppFarEastLineBreakLevelStrict                     2
#define ppFarEastLineBreakLevelCustom                     3

*** Constant Group: PpSlideShowRangeType
#define ppShowAll                                         1
#define ppShowSlideRange                                  2
#define ppShowNamedSlideShow                              3

*** Constant Group: PpFrameColors
#define ppFrameColorsBrowserColors                        1
#define ppFrameColorsPresentationSchemeTextColor          2
#define ppFrameColorsPresentationSchemeAccentColor        3
#define ppFrameColorsWhiteTextOnBlack                     4
#define ppFrameColorsBlackTextOnWhite                     5

*** Constant Group: PpBorderType
#define ppBorderTop                                       1
#define ppBorderLeft                                      2
#define ppBorderBottom                                    3
#define ppBorderRight                                     4
#define ppBorderDiagonalDown                              5
#define ppBorderDiagonalUp                                6

*** Constant Group: PpHTMLVersion
#define ppHTMLv3                                          1
#define ppHTMLv4                                          2
#define ppHTMLDual                                        3

*** Constant Group: PpPublishSourceType
#define ppPublishAll                                      1
#define ppPublishSlideRange                               2
#define ppPublishNamedSlideShow                           3

*** Constant Group: PpBulletType
#define ppBulletMixed                                     -2
#define ppBulletNone                                      0
#define ppBulletUnnumbered                                1
#define ppBulletNumbered                                  2
#define ppBulletPicture                                   3

*** Constant Group: PpNumberedBulletStyle
#define ppBulletStyleMixed                                -2
#define ppBulletAlphaLCPeriod                             0
#define ppBulletAlphaUCPeriod                             1
#define ppBulletArabicParenRight                          2
#define ppBulletArabicPeriod                              3
#define ppBulletRomanLCParenBoth                          4
#define ppBulletRomanLCParenRight                         5
#define ppBulletRomanLCPeriod                             6
#define ppBulletRomanUCPeriod                             7
#define ppBulletAlphaLCParenBoth                          8
#define ppBulletAlphaLCParenRight                         9
#define ppBulletAlphaUCParenBoth                          10
#define ppBulletAlphaUCParenRight                         11
#define ppBulletArabicParenBoth                           12
#define ppBulletArabicPlain                               13
#define ppBulletRomanUCParenBoth                          14
#define ppBulletRomanUCParenRight                         15
#define ppBulletSimpChinPlain                             16
#define ppBulletSimpChinPeriod                            17
#define ppBulletCircleNumDBPlain                          18
#define ppBulletCircleNumWDWhitePlain                     19
#define ppBulletCircleNumWDBlackPlain                     20
#define ppBulletTradChinPlain                             21
#define ppBulletTradChinPeriod                            22
#define ppBulletArabicAlphaDash                           23
#define ppBulletArabicAbjadDash                           24
#define ppBulletHebrewAlphaDash                           25
#define ppBulletKanjiKoreanPlain                          26
#define ppBulletKanjiKoreanPeriod                         27
#define ppBulletArabicDBPlain                             28
#define ppBulletArabicDBPeriod                            29

*** Constant Group: PpMarkerType
#define ppBoot                                            0
#define ppFileNew                                         1
#define ppFileOpen                                        2
#define ppFileSave                                        3
#define ppPrintForeground                                 4
#define ppPrintBackground                                 5
#define ppOLEInsert                                       6
#define ppSlideShowStart                                  7
#define ppSlideShowDraw                                   8
#define ppSlideViewScroll                                 9
#define ppDialogStart                                     10

*** Constant Group: PpShapeFormat
#define ppShapeFormatGIF                                  0
#define ppShapeFormatJPG                                  1
#define ppShapeFormatPNG                                  2
#define ppShapeFormatBMP                                  3
#define ppShapeFormatWMF                                  4

*** Constant Group: PpExportMode
#define ppRelativeToSlide                                 1
#define ppClipRelativeToSlide                             2
#define ppScaleToFit                                      3
#define ppScaleXY                                         4
