*-- Work with new features of V1.0.2

RELEASE ALL LIKE o*

LOCAL oExcel, oSheet

*-- Create the Object
oExcel = CREATEOBJECT('OfficeClass.clsExcel')

oExcel.BuildExcelBook(1)	&& Add One WorkSheet

WITH oExcel

	.BuildSheet("A1","Test for Shading","Arial:10:B",.T.)
	.ShadeCells("A1",RGB(64,128,128))
	
	.BuildSheet("A5","Test for Pattern Fill","",.T.)
	*-- When using patterns, the color becomes the background
	.ShadeCells("A5:G10",RGB(255,255,255),"xlPatternLightUp",RGB(255,0,0))
	
	.ShowExcel()			&& Show Excel

	.PrintPreview(1)
	
ENDWITH


oExcel = .NULL.
