*-- Example 9 - Showing New Features of V1.0.4 of Excel Class.

LOCAL oExcel, lcHead, loSel

oExcel = CREATEOBJECT('OfficeClass.clsExcel')

WITH oExcel
	.BuildExcelBook(1)			&& Create and Add 1 WorkSheet.
	.RenameSheet(1,"Test1")
	*-- Add Some data
	lcHead = "Col1:10,Col2:10,Col3:10"
	.ConvertStringToArray(lcHead)				&& Populate Internal Array for BuildLineFromArray.
	.BuildSheet(1,"A1","Excel Class Example","Arial:12:B")
	.MergeCells(1,"A1:E1")
	.DrawBorder(1,"A1:E1","xlContinuous:xlMedium")
	.BuildLineFromArray(1,"A3","Arial:10:B")		&& Use Data in Internal Array
	.BuildSheet(1,"A5",10,"",.f.,"HRight")
	.BuildSheet(1,"B5",5 ,"",.f.,"HRight")
	.BuildSheet(1,"C5",7 ,"",.f.,"HRight")
	.BuildSheet(1,"A6",20,"",.f.,"HRight")
	.BuildSheet(1,"B6",15,"",.f.,"HRight")
	.BuildSheet(1,"C6",17,"",.f.,"HRight")
	.BuildSheet(1,"A8","=SUM(A5:A7)",,.f.,'HRight')			
	.BuildSheet(1,"B8","=SUM(B5:B7)",,.f.,'HRight')			
	.BuildSheet(1,"C8","=SUM(C5:C7)",,.f.,'HRight')			
	.DrawBorder(1,"A5:C6","xlDash",RGB(255,0,0),.T.)
	.DrawBorder(1,"A8:C8","xlDouble")			
	
	*-- V1.0.4 - Protect Worksheet and WorkBook.
	.Protect("WorkSheet:1","Sheet1",.T.)		&& Lock the Worksheet with the password Sheet1
	.Protect("WorkBook:1","Book1",.T.)			&& Lock the WorkBook with the Password Book1
	
	*-- Save Excel file with an open and modify password
	.SaveWorkBook("C:\Protected","","open","modify")
*	.SaveWorkBook("C:\Protected","","open","")				&& Save with just an open password
*	.SaveWorkBook("C:\Protected","","","modify")			&& Save with just a modify password
	
	
		
	*-- To Remove Protection.
	.Protect("WorkSheet:1","Sheet1",.F.)		&& UnLock the Worksheet with the password Sheet1
	.Protect("WorkBook:1" ,"Book1" ,.F.)		&& UnLock the WorkBook with the Password Book1
	.SaveWorkBook("C:\UnProtected")
ENDWITH

oExcel = .NULL.