*-- PowerPoint Example 1. (Very Basic Stuff).
#INCLUDE ".\Include\msppt9.h"

LOCAL oOfficeClass, oSlide

oOfficeClass = CREATEOBJECT('OfficeClass.clsPowerPoint')

WITH oOfficeClass
	.AddPresentation()				&& Add a Presentation.
	*-- Using -1 in the Index will automatically add a slide to the end.
	*-- Lets add three Slides.
	.AddSlide(1,-1,ppLayoutClipartAndText)	&& First Slide (This will be 2)
	.AddSlide(1,1 ,ppLayoutTitle)			&& Add a new slide at the start.
	.AddSlide(1,-1,ppLayoutVerticalText) 	&& Add a New slide to the end.

	oSlide = .SelectSlide(1)				&& Select the First Slide.
	
	*-- Note: Methods will be created to make the following easier.
	WITH oSlide
		*-- WAIT "Number of Shapes on slide = " + TRANSFORM(oSlide.Shapes.Count) WINDOW
		.Shapes[1].TextFrame.TextRange.Text = "PowerPoint Automation Demo"
		.Shapes[2].TextFrame.TextRange.Text = "via the OfficeClass.dll"
	ENDWITH
	
	oSlide = .SelectSlide(2)
	WITH oSlide
		.Shapes[1].TextFrame.TextRange.Text = "Welcome to Slide Number 2"
		.Shapes[3].TextFrame.TextRange.Text = "The Power of OfficeClass"
		*-- WAIT "Number of Shapes on slide = " + TRANSFORM(oSlide.Shapes.Count) WINDOW
	ENDWITH

	.ShowPowerPoint()

*-- 	.SavePresentation("c:\testpres")	&& Save as a presentation.
*-- 	.ClosePowerPoint()					&& Close PowerPoint.

ENDWITH

oOfficeClass = .NULL.


