*-- Word Example 3 - Using 2 Documents at once.

#DEFINE CR	CHR(13)

oWord = CREATEOBJECT('OfficeClass.clsWord')

IF VARTYPE( oWord ) # 'O'
	=MessageBox("Problem creating Word Object",0,"OfficeClass")
	oWord = .NULL.
	RETURN
ENDIF

LOCAL oDoc, lcText

USE _SAMPLES + "\TasTrade\Data\Customer" ALIAS wTest

*-- Add two Documents.
=oWord.AddDocument()
=oWord.AddDocument()

lcText = wTest.Customer_ID + ": " + wTest.Company_Name + CR  + ;
 		 "Attn: " + ALLTRIM(wTest.Contact_Name) + " - " + wTest.Contact_Title + CR + ;
 		 wTest.Address + CR + ;
		ALLTRIM(wTest.City) + " " + ALLTRIM(wTest.Region) + wTest.Postal_Code + CR + ;
		UPPER(wTest.Country) + CR

oDoc = oWord.SelectDoc(1)
oWord.InsertText(lcText,"After")
oWord.MoveRange(wdStory)
oWord.InsertText(CR+CR+"This is Document Number 1","After")

oDoc = oWord.SelectDoc(2)
oWord.InsertText(lcText,"After")
oWord.MoveRange(wdStory)
oWord.InsertText(CR+CR+"This is Document Number 2","After")

oWord.ShowWord()

USE IN wTest

oDoc   = .NULL.
oWord  = .NULL.